Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.freemarker
Class FreeMarkerTilesException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.tiles.TilesException
                      org.apache.tiles.freemarker.FreeMarkerTilesException

All Implemented Interfaces:
  java.io.Serializable

    public class FreeMarkerTilesException

extends TilesException

Exception connected to the usage of FreeMarker and Tiles.

Since:
  2.2.0
Version:
  $Rev: 765386 $ $Date: 2009-04-15 23:56:54 +0200 (mer, 15 apr 2009) $
See Also:
  Serialized Form

Constructor Summary
`FreeMarkerTilesException()` Constructor.
`FreeMarkerTilesException(java.lang.Exception e)` Constructor.
`FreeMarkerTilesException(java.lang.String message)` Constructor.
`FreeMarkerTilesException(java.lang.String message, java.lang.Exception e)` Constructor.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FreeMarkerTilesException

    public FreeMarkerTilesException()

  Constructor.

  Since:
    2.2.0

### FreeMarkerTilesException

    public FreeMarkerTilesException(java.lang.String message)

  Constructor.

  Parameters:
    `message` - The message of the exception.
  Since:
    2.2.0

### FreeMarkerTilesException

    public FreeMarkerTilesException(java.lang.Exception e)

  Constructor.

  Parameters:
    `e` - The cause of the exception.
  Since:
    2.2.0

### FreeMarkerTilesException

    public FreeMarkerTilesException(java.lang.String message,
                                    java.lang.Exception e)

  Constructor.

  Parameters:
    `message` - The message of the exception.
    `e` - The cause of the exception.
  Since:
    2.2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.